<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");

db_connect($db_host, $db_user, $db_pass);

if ($ueberschreiben == "ja")
	{
	 safe_query( "update domains set zusatz = ? ", TRUE, new SQLString( $zusatz ) );
	}
if ($ueberschreiben == "nein")
	{
	 $id = safe_query( "select domain from domains where zusatz != ''", TRUE );
	 while ($werte = db_fetch_array($id))
		{
		 $nichtgeaendert .= $werte["domain"]."<br>";
		}
	 safe_query( "update domains set zusatz = ?  where zusatz = ''", TRUE, new SQLString( $zusatz ) );
	}

if ($all == 1)
	{
	 safe_query( "update anbieter set httpdspezial = ? ", TRUE, new SQLString( $zusatz ) );
	 safe_query( "update kunden set httpdspezial = ? ", TRUE, new SQLString( $zusatz ) );
	 safe_query( "update admin set httpdspezial = ? ", TRUE, new SQLString( $zusatz ) );
	}

safe_query( "update allgemein set httpd='1', httpdupdate=0", TRUE );
db_close();

$fehlertitel = ltext("eihtseaesp_errortitle1");
$fehlertext = ltext("eihtseaesp_error1");
if (strlen($nichtgeaendert) > 0) $fehlertext .= ltext("eihtseaesp_error2",array($nichtgeaendert));
include("einstellungen_httpd.php");
?>
